Subject: Re: Using GCC
From: [email-masked] (Alex)

26 Oct 1997 11:54:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Charles Curley <[email-masked]>
Cc: [email-masked]

On Sun, 26 Oct 1997, Charles Curley wrote:

> >> Win32 is supposed to be a real operating system, so it won't let you access
     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Yea.  And elephants are supposed to be pink.

> >Although dangerous, couldn't someone right a device driver that would
> >allow you to use inp and outp?
> 
> Sure. Why don't you?

I'd have no idea where to start, and don't want to accidentally screw
something up.  Besides,  not much is working for me on Win98.
 
> If the inputs to the device driver are port or port and count (for reads)
> and port and datum or port, pointer to data and count (for writes) I think
> you would have a nice generic testbed driver. I think I'd put some range
> checks on it so I don't shoot myself in the foot with it.

If there was some way to check to see if Windows is reserving that port,
that'd probably be pretty helpful. Although I wonder if it'd work on NT.
 
> Next question, for the folks who know Cygwin better than I: does Cygwin GCC
> include the tools necessary to make a device driver?

Most probably yes.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".